Create Gateway
curl --request POST \
--url https://api.pinata.cloud/v3/gateways \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"domain": "dweb5"
}
'import requests
url = "https://api.pinata.cloud/v3/gateways"
payload = { "domain": "dweb5" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({domain: 'dweb5'})
};
fetch('https://api.pinata.cloud/v3/gateways', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "5eb8b151-77b3-4e46-8243-5b6282131a9e",
"created_at": "2024-07-12T15:21:47.966866Z",
"domain": "dweb3",
"restrict": false,
"custom_domains": [],
"settings": {
"restriction_policies": {
"accessTokens": [],
"allowedHosts": [],
"allowedIPAddresses": []
}
}
}
}General
Create Gateway
org:gateways:write
POST
/
gateways
Create Gateway
⌘I